--- title: "Get Ncloud Single Sign-On URL data" slug: "get-sp-url-data" updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/get-sp-url-data" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Ncloud Single Sign-On URL data Available in Classic and VPC Get Ncloud Single Sign-On's URL data. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/tenant/saml-idp/sp-data | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/tenant/saml-idp/sp-data' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `signinUrl` | String | - | Login URL - URL accessed when logging in through SSO | | `acsUrl` | String | - | Ncloud Single Sign-On's ACS URL - It is an endpoint that receives and processes the SAML response. After the IdP completes the authentication, it sends the SAML assertion to this URL | | `issuerUrl` | String | - | Ncloud Single Sign-On's issuer URL - Unique identifier (Entity ID) of SP entity defined in SAML metadata | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "signinUrl": "https://sso.ncloud.com/tenants/7f9d19ff-****-****-****-e2122e5ba217/saml/login", "acsUrl": "https://sso.ncloud.com/tenants/7f9d19ff-****-****-****-e2122e5ba217/saml/acs", "issuerUrl": "https://sso.ncloud.com/tenants/7f9d19ff-****-****-****-e2122e5ba217" } ```